package com.foxit.general.activity;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;

public class MainView extends View
{
	public Bitmap currentBitmap = null;
	private int drawCount = 0;
	
	public MainView(Context context)
	{
		super(context);
	}

	public MainView(Context context, AttributeSet attrs)
	{
		super(context, attrs);
	}

	public void setImageBitmap(Bitmap b) {
		currentBitmap = b;
	}

	@Override
	protected void onDraw(Canvas canvas) {
	//	super.onDraw(canvas);
		if(currentBitmap != null)
			canvas.drawBitmap(currentBitmap, 0, 0, null);
		if(drawCount > 0)
		{
			if(currentBitmap!=null && currentBitmap.isRecycled())
			{
				currentBitmap.recycle();
				currentBitmap = null;
			//	System.gc();
			}
		}
		drawCount++;
	}
	
}
