@echo off

set curdir=%cd% 

if exist ".\libs\fsdk_android.jar" (
	echo fsdk_android.jar exists already.
)else (
	if not exist "..\..\..\libs\fsdk_android.jar" (
	echo ..\..\..\libs\fsdk_android.jar does not exist.
	exit
	)
	copy ..\..\..\libs\fsdk_android.jar .\libs\
	if exist ".\libs\fsdk_android.jar" echo copying jar file is done.
)


if exist ".\libs\x86\libfsdk_android.so" (
	echo lib for x86 exists already.
)else (
	if not exist "..\..\..\libs\x86\libfsdk_android.so" (
	echo .\x86\libfsdk_android.so does not exist.
	)
	if not exist ".\libs\x86\" md ".\libs\x86\"
	copy ..\..\..\libs\x86\libfsdk_android.so .\libs\x86\
	if exist ".\libs\x86\libfsdk_android.so" echo copying x86 lib is done.
)


if exist ".\libs\armeabi-v7a\libfsdk_android.so" (
	echo lib for arm exists already.
)else (
	if not exist "..\..\..\libs\armeabi-v7a\libfsdk_android.so" (
	echo ..\..\..\libs\armeabi-v7a\libfsdk_android.so does not exist.
	)
	if not exist ".\libs\armeabi-v7a\" md ".\libs\armeabi-v7a\"
	copy ..\..\..\libs\armeabi-v7a\libfsdk_android.so .\libs\armeabi-v7a\
	if exist ".\libs\armeabi-v7a\libfsdk_android.so" echo copying arm lib is done.
)

if exist ".\libs\arm64-v8a\libfsdk_android.so" (
	echo lib for arm64 exists already.
)else (
	if not exist "..\..\..\libs\arm64-v8a\libfsdk_android.so" (
	echo ..\..\..\libs\arm64-v8a\libfsdk_android.so does not exist.
	)
	if not exist ".\libs\arm64-v8a\" md ".\libs\arm64-v8a\"
	copy ..\..\..\libs\arm64-v8a\libfsdk_android.so .\libs\arm64-v8a\
	if exist ".\libs\arm64-v8a\libfsdk_android.so" echo copying arm64 lib is done.
)