﻿using System;

using Java.Util;

using Android.App;
using Android.Content;
using Android.Graphics.Drawables;
using Android.OS;
using Android.Runtime;
using Android.Util;
using Android.Views;
using Android.Widget;
using com.foxit.gsdk;
using com.foxit.gsdk.pdf;
using com.foxit.gsdk.utils;
using Android.Graphics;

using System.IO;
using System.Collections.Generic;
using sdk_demo.Droid;


namespace sdk_demo
{
	[Activity (Label = "SDK Demo", MainLauncher = true, Icon = "@drawable/icon")]

	public class FileManager : Activity, AdapterView.IOnItemClickListener
	{
		
		ListView						fileList			= null;
		JavaList<IDictionary<string, object>> settings_data = null;
	//	IDictionary<string, object> item;
		//JavaDictionary<string, object> item;
		protected override void OnCreate(Bundle savedInstanceState)

		{
			base.OnCreate(savedInstanceState);

			Window.SetFlags (WindowManagerFlags.Fullscreen,  WindowManagerFlags.Fullscreen);
			SetContentView(Resource.Layout.FileExplorer);
			fileList = (ListView) FindViewById(Resource.Id.listView1);
			TextView textView = (TextView) FindViewById(Resource.Id.fileName);
			fileList.RequestChildFocus(textView, fileList);
			fileList.Selected = true;
			if (Android.OS.Environment.ExternalStorageState.Equals(
				Android.OS.Environment.MediaMounted))
			{
				ListFiles(new DirectoryInfo(Android.OS.Environment.ExternalStorageDirectory.AbsolutePath));
			
				/*
				var settings_data = new JavaList<IDictionary<string, object>>();
				var item = new JavaDictionary<string, object>();
				item["filename"] = "sssssssss";
				item["icon"] = Resource.Drawable.folder;
				settings_data.Add(item);

				SimpleAdapter adapter = new SimpleAdapter(this, settings_data, Resource.Layout.FileList, new String[]{ "icon", "filename" }, new int[]{ Resource.Id.icon, Resource.Id.fileName });
				fileList.Adapter = adapter;
*/
				/*
				Intent intent = new Intent();
				intent.PutExtra("fileDir", Android.OS.Environment.ExternalStorageDirectory.AbsolutePath);
				intent.SetClass(this, typeof(MainActivity));
				StartActivity(intent);*/
				//inflateListView(Android.OS.Environment.ExternalStorageDirectory.AbsolutePath);
			} 
			else
			{
				Toast.MakeText (this, "Not find sdcard", ToastLength.Short).Show ();
			}
		//	MainActivityItem = new ActivityItem { 
		//		Title = "Main Activity", Intent = new Intent(this, typeof(MainActivity)) };
			//fileList.SetOnItemClickListener(this);
			fileList.OnItemClickListener = this;
			//listData = new ArrayList (FileInfo);
		}


	public void OnItemClick(AdapterView parent, View view, int position,
		long id)
	{
			var item = (IDictionary<string, object>)settings_data.Get (position);
			String name = (String)item["fileName"];
			String path = (String)item["fullName"];
			Java.IO.File file = new Java.IO.File(path);
			String parentPath = file.ParentFile.Path;
			if (position == 0)
			{
				if (path.Equals(Android.OS.Environment.ExternalStorageDirectory.AbsolutePath))
				{
					inflateListView(Android.OS.Environment.ExternalStorageDirectory.AbsolutePath);
					Toast.MakeText(this, "Top Directory",
						ToastLength.Long).Show();
				} 
				else
				{
					inflateListView(parentPath);
				}
			} 
			else
			{
				if (file.IsDirectory)
				{
					inflateListView(path);
				} 
				else
				{
					Intent intent = new Intent();
					intent.PutExtra("fileDir", path);
					intent.SetClass(this, typeof(MainActivity));
					StartActivity(intent);
				}
			}

	}

		public void ListFiles(FileSystemInfo info)
		{
			if (!info.Exists) return;
			//IList<IDictionary<string, object>> settings_data = new JavaList<IDictionary<string, object>>();
			settings_data = new JavaList<IDictionary<string, object>>();
			var item = new JavaDictionary<string, object>();
			item ["fileName"] = "..";
			item ["fullName"] = info.FullName;
			item ["icon"] = Resource.Drawable.fm_superfolder;
			settings_data.Add(item);

			DirectoryInfo dir = info as DirectoryInfo;
			if (dir == null) 
				return;
			FileSystemInfo[] files = dir.GetFileSystemInfos();
			for (int i = 0; i < files.Length; i++)
			{
				FileInfo file = files[i] as FileInfo;
				//是文件 
				if (file != null) {
					;//item ["aaa"] = file.FullName;
					//Console.WriteLine(file.FullName + "/t " + file.Length);
				//	if (file.FullName.Substring (file.FullName.LastIndexOf (".")) == ".pdf") {						//此处为显示JPG格式，不加IF可遍历所有格式的文件
					/*	Intent intent = new Intent ();
						intent.PutExtra ("fileDir", Android.OS.Environment.ExternalStorageDirectory.AbsolutePath);
						intent.SetClass (this, typeof(MainActivity));
						StartActivity (intent);
						*/
						//item ["filename"] = file.Name;
						//item ["icon"] = Resource.Drawable.fm_folder_icon;
						//settings_data.Add (item);
					//	;//this.list1.Items.Add(file);
						//	listData.Add(file);
						//MessageBox.Show(file.FullName.Substring(file.FullName.LastIndexOf(".")));
				//	}
				//} else if (file.DirectoryName.StartsWith (".")) {
			//		item ["aaa"] = file.FullName;
			//		item ["filename"] = files [i];
			//		item ["icon"] = Resource.Drawable.fm_folder_icon;
			//		settings_data.Add (item);
				} else {
					//IDictionary<string, object> item;
					item = new JavaDictionary<string, object>();
					item ["fileName"] = files[i].Name;
					item ["fullName"] = files[i].FullName;
					item ["icon"] = Resource.Drawable.fm_folder_icon;
					settings_data.Add (item);
				}

			}
			for (int i = 0; i < files.Length; i++) {
				FileInfo file = files [i] as FileInfo;
				//是文件 
				if (file != null) {
					if (file.Extension.CompareTo(".pdf") == 0) {
						item = new JavaDictionary<string, object> ();
						item ["fileName"] = files [i].Name;
						item ["fullName"] = files [i].FullName;
						item ["icon"] = Resource.Drawable.fm_default_pdf_icon;
						settings_data.Add (item);
					}
				}
			}
			item = (JavaDictionary<string, object>)settings_data.Get (0);
			string sg = (string)item["fileName"];
			SimpleAdapter adapter = new SimpleAdapter(this, settings_data, Resource.Layout.FileList, new String[]{ "icon", "fileName" }, new int[]{ Resource.Id.icon, Resource.Id.fileName });
			fileList.Adapter = adapter;
		}
			

		/*
		//Populate item list for a directory path 
		private void inflateList(String path)
		{
			// TODO Auto-generated method stub
			listData = new ArrayList<HashMap<String, Object>>();
			Java.IO.File file = new Java.IO.File(path);
			Java.IO.File[] listFiles = file.listFiles();
			HashMap<String, Object> map = new HashMap<String, Object>();
			map.put("icon", Resource.Drawable.superfolder);
			map.put("filename", "..");
			map.put("path", path);
			listData.Add(map);
			if (listFiles != null)
			{
				foreach (Java.IO.File f in listFiles)
				{
					map = new HashMap<String, Object>();
					if (f.IsDirectory() && !f.GetName().startsWith("."))
					{
						map.put("icon", Resource.Drawable.folder);
						map.put("filename", f.GetName());
						map.put("path", f.GetPath());
						listData.Add(map);
					}
				}
				foreach (Java.IO.File f in listFiles)
				{
					map = new HashMap<String, Object>();
					if (f.GetName().EndsWith(".pdf"))
					{
						map.put("icon", Resource.Drawable.default_pdf_draw);
						map.put("filename", f.GetName());
						map.put("path", f.GetPath());
						listData.Add(map);
					}
				}
			}

			if (listData.IsEmpty())
			{
				datalistisEmpty = true;
			} else
			{
				datalistisEmpty = false;
			}
		}
		*/
		/** 
  	 * brief inflate List View which show the data in the current path  <br>
	 *  
	 *  
	 * @param e					MotionEvent
	 * 
	 * @return void <br>
	 */	

		public void inflateListView(String path)
		{
			ListFiles (new DirectoryInfo(path));
			//inflateList(path);
			//if (!datalistisEmpty)
			{
				;//fileList.setAdapter(getListSimpleAdapter());
			}

		}
			
		/**
  	 * brief get the list view adapter <br>
	 *  
	 * 
	 * 
	 
	 * @return void <br>
	 */	
	/*	private ListAdapter getListSimpleAdapter()
		{
			// TODO Auto-generated method stub

			SimpleAdapter adapter = new SimpleAdapter(this, listData,
				R.layout.list_menu, new String[]
				{ "icon", "filename" }, new int[]
				{ R.id.icon, R.id.fileName }); 
			return adapter;
		}*/

		/*
		public override boolean onKeyDown(int keyCode, KeyEvent event)
		{
			if (keyCode == KeyEvent.KEYCODE_BACK && event.getRepeatCount() == 0)
			{
				HashMap<String, Object> map = listData.get(0);
				String path = null;
				path = (String) map.get("path");
				File file = null;
				file = new File(path);
				if (file.getParent() != null)
				{
					String parentpath = file.getParentFile().getPath();
					if (path.equals(Environment.getExternalStorageDirectory().getPath()))
					{
						this.finish();
					} else
					{
						inflateListView(parentpath);
					}
				}
				return false;
			}
			return false;
		}*/

	}
}


