#!/bin/sh
if [ -e libgsdkObjc_all.a ]
then
	echo "library libgsdkObjc_all.a exist!"
else
	echo "library libgsdkObjc_all.a doesn't exist!"
	echo "generating libgsdkObjc_all.a library!"
	cd ../gsdkObjc
	xcodebuild -target gsdkObjc -configuration Release -sdk iphoneos -arch armv7 -arch arm64
	xcodebuild -target gsdkObjc -configuration Release -sdk iphonesimulator -arch i386 -arch x86_64
	cd ../iosBinding
	lipo -create ../gsdkObjc/build/Release-iphoneos/libgsdkObjc.a ../gsdkObjc/build/Release-iphonesimulator/libgsdkObjc.a -output libgsdkObjc_all.a
	echo "finish!"
fi
if [ -e libfsdk_ios_all.a ]
then
	echo "library libfsdk_ios_all.a exist!"
else
	echo "library libfsdk_ios_all.a doesn't exist!"
	echo "generating libfsdk_ios_all.a library!"
	lipo -create ../../../../lib/libfsdk_ios_arm.a ../../../../lib/libfsdk_ios_emu.a -output libfsdk_ios_all.a
	echo "finish!"
fi
