﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;

namespace sdk_demo
{
	public partial class contentPage : ContentPage
	{
		App context = null;

		public contentPage (App appContext)
		{
			InitializeComponent ();
			context = appContext;
			pdfImage.Source = context.tmpfile;
			nextButton.Clicked += OnNextButtonClicked;
			prevButton.Clicked += OnPrevButtonClicked;
		}

		void OnNextButtonClicked(object sender, EventArgs e)
		{
			context.pageIndex++;
			if(context.pageCount == context.pageIndex) 
				context.pageIndex = context.pageCount - 1;
			context.getPage (context.pageIndex);
			pdfImage.Source = context.tmpfile;
		}
		
		void OnPrevButtonClicked(object sender, EventArgs e)
		{
			context.pageIndex--;
			if(context.pageIndex < 0) 
				context.pageIndex = 0;
			context.getPage (context.pageIndex);
			pdfImage.Source = context.tmpfile;
		}
	}
}

